Subject: Re: bug#57627: 29.0.50; [native-compilation] cl-loaddefs.el recompiled on startup

From: Phil Sainty <[email-masked]>
Date: Sun, 15 Sep 2024 00:13:00 +1200

On 2024-09-14 19:50, Eli Zaretskii wrote:
>> From: Andrea Corallo <[email-masked]>
>> Phil Sainty <[email-masked]> writes:
>> > https://emacs.stackexchange.com/questions/82010 indicates
>> > that this bug was fixed for *.el files, but remains in effect
>> > for the *.el.gz case.
>> 
>> Hi Phil,
>> can you reproduce this?  ATM I cannot with my emacs 30 installed.
> 
> Ping!  Phil, can you please respond?  I'd like to make some progress
> with this issue.

Hi Eli, Andrea,

I requested a follow-up from the reporter at emacs.stackexchange.com
after Andrea's initial response, but they have not replied.

However, I see the following in 30.0.91:

  (let* ((lib "cl-loaddefs")
         (dir (file-name-directory (locate-library lib))))
    (mapcar (lambda (f)
              (native--compile-async-skip-p (expand-file-name f dir) nil 
nil))
            (list lib
                  (concat lib ".el")
                  (concat lib ".elc")
                  (concat lib ".el.gz"))))

  (t t t nil)